stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Path

Description

Handy path information.

Synopsis

- path :: (MonadIO m, MonadBaseControl IO m, MonadReader env m, HasEnvConfig env, MonadCatch m, MonadLogger m) => [Text] -> m ()
- pathParser :: Parser [Text]

# Documentation

path :: (MonadIO m, MonadBaseControl IO m, MonadReader env m, HasEnvConfig env, MonadCatch m, MonadLogger m) => [Text] -> m () #

Print out useful path information in a human-readable format (and support others later).

pathParser :: Parser [Text] #